## cong-file-selection

cong-file-selection —

## Synopsis

    enum        CongFileChooserAction;
    gchar*      cong_get_file_name              (const gchar *title,
                                                 const gchar *uri,
                                                 GtkWindow *parent_window,
                                                 CongFileChooserAction action,
                                                 GList *list_of_filters);
    gchar*      cong_get_file_name_with_filter  (const gchar *title,
                                                 const gchar *filename,
                                                 GtkWindow *parent_window,
                                                 CongFileChooserAction action,
                                                 GList *list_of_filters,
                                                 GtkFileFilter **output_filter);
    GList*      cong_file_selection_make_xml_filter_list
                                                (void);

## Description

## Details

### enum CongFileChooserAction

    typedef enum
    {
      CONG_FILE_CHOOSER_ACTION_OPEN,
      CONG_FILE_CHOOSER_ACTION_SAVE
    } CongFileChooserAction;

### cong_get_file_name ()

    gchar*      cong_get_file_name              (const gchar *title,
                                                 const gchar *uri,
                                                 GtkWindow *parent_window,
                                                 CongFileChooserAction action,
                                                 GList *list_of_filters);

This function can be used to present file chooser dialog and allow user to select a file.

`title` : | Title of the dialog.
`uri` : | File or path to start with. Can be NULL.
`parent_window` : | Window to place dialog over. Can be `NULL`.
`action` : | CongFileChooserAction, for example, `CONG_FILE_CHOOSER_ACTION_OPEN`
`list_of_filters` : | GList of GtkFileFilter, often you can create it with cong_file_selection_make_xml_filter_list.
Returns : | file URI string (Note that it is valid escaped uri, not usual filename, since in theory conglomerate fully use gnome-vfs.

### cong_get_file_name_with_filter ()

    gchar*      cong_get_file_name_with_filter  (const gchar *title,
                                                 const gchar *filename,
                                                 GtkWindow *parent_window,
                                                 CongFileChooserAction action,
                                                 GList *list_of_filters,
                                                 GtkFileFilter **output_filter);

`title` : |
`filename` : |
`parent_window` : |
`action` : |
`list_of_filters` : |
`output_filter` : |
Returns : |

### cong_file_selection_make_xml_filter_list ()

    GList*      cong_file_selection_make_xml_filter_list
                                                (void);

Returns : |